//-----------------------------------------------
// SIP form 
//-----------------------------------------------
var sip_form = new Ext.Panel({
  title           : "SIP Configuration",
  layout          : 'form',
  autoWidth       : true,
  autoHeigth      : true,
  frame           : true,
  standardSubmit  : true,
  header          : false,
  id              : "sip_form",    
  labelWidth      : 285,
  bodyStyle       : 'text-align:left;padding-top:20px;padding-bottom:20px;padding-left:15px;',
	defaults				: {
		anchor: '60%'
	},
  items: [{}]
});

var SipDescriptionLabel = new Ext.form.Label({
  id:  "SipDescriptionLabel",
  text: "Select the SIP configuration",  
  style: 'font-size:120%;font-weight:bold; line-height:60px;' 
});

//url input text
var url = new Ext.form.TextField({
  id: 'sip_url',
  fieldLabel:  "Default SIP URL to contact on incoming PSTN calls",  
  value: 'sip:localhost:5060'
});

//port input text
var port = new Ext.form.NumberField({
  id: 'sip_port',
  fieldLabel:  "Default SIP PORT to listen on",
  value: '5066'

});

//tranpsort protocol drop down (udp, tcp)
var transport_protocol = new Ext.form.ComboBox({
  id: 'transport_protocol',
  fieldLabel:  "Default Transport",
  store: ['udp','tcp'],
  forceSelection: true,
  triggerAction: 'all',
  mode: 'local',
  typeAhead: true,
  value: 'udp',
  selectOnFocus:true,
  width: 50
});

sip_form.add(SipDescriptionLabel);
sip_form.add(url);
sip_form.add(port);
sip_form.add(transport_protocol);


